### Method

# AppStream Component add_extends

since: 0.15.5

#### Declaration [src]

    void
    as_component_add_extends (
      AsComponent* cpt,
      const gchar* cpt_id
    )

#### Description [src]

Add a reference to the extended component.

Available since: 0.15.5

#### Parameters

`cpt_id`

  Type: `const gchar*`

  The id of a component which is extended by this component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.